package com.fufan.mtsaas.modules.base.company.dao;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.fufan.mtsaas.modules.base.company.bo.response.CompanyResponse;
import com.fufan.mtsaas.modules.base.company.model.TCompany;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
  * 企业信息表 Mapper 接口
 *
 * @author Liby
 * @since 2022-03-16
 */
@Repository
public interface TCompanyDao extends BaseMapper<TCompany> {
    List<CompanyResponse> selectList(Page page, @Param("params") Map<String, String> params);
    List<TCompany> queryAllCompanyName();
    int insertRecords(TCompany sysParam);
    /**
     * 修改数据
     *
     * @param tCompany 实例对象
     * @return 影响行数
     */
    int update(TCompany tCompany);

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    TCompany queryById(Long id);

    List<TCompany> selectCustom(Page page, @Param("params") Map<String, String> params);

}